/// <reference types="codemirror" />
import MovieClass, { MovieOptions, PlaybackState } from './movie';
import { Scene } from './types';
declare type ScenarioFactory = (scene: typeof import('./scene')) => Scene[];
declare type Movie = MovieClass;
export default function movie(editor: CodeMirror.Editor, factory: ScenarioFactory, options?: Partial<MovieOptions>): MovieClass;
export { Movie, MovieOptions, Scene, PlaybackState };
