/// <reference types="codemirror" />
import { Pos } from './types';
/**
 * Helper function that produces <code>{line, ch}</code> object from
 * passed argument
 */
export declare function makePos(pos: Pos, editor: CodeMirror.Editor): CodeMirror.Position;
/**
 * Renders string into DOM element
 */
export declare function toDOM(str: string): ChildNode;
